package net.roseindia.web;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;
import org.springframework.validation.ValidationUtils;

import net.roseindia.web.*;

public class UserValidator implements Validator {


   @Override
    public boolean supports(Class clazz) {
        return User.class.isAssignableFrom(clazz);
    }
 

    public void validate(Object obj, Errors errors) {
        User user = (User) obj;
        
        if (user.getName() == null || user.getName().length() == 0) {
            errors.rejectValue("name", "error.empty.field", "Please Enter Name");
          }       
       }
}



 
